import os

# parse env variables
env = {
    "AUGUSTUS_CONFIG": False,
    "AUGUSTUS_BASE": False,
    "FUNANNOTATE2_DB": False,
}

if "FUNANNOTATE2_DB" in os.environ:
    env["FUNANNOTATE2_DB"] = os.environ["FUNANNOTATE2_DB"]

if "AUGUSTUS_CONFIG_PATH" in os.environ:
    env["AUGUSTUS_CONFIG"] = os.environ["AUGUSTUS_CONFIG_PATH"]

if "AUGUSTUS_CONFIG" in os.environ:
    env["AUGUSTUS_CONFIG"] = os.environ["AUGUSTUS_CONFIG"]

if env["AUGUSTUS_CONFIG"]:
    if os.path.isdir(os.path.join(os.path.dirname(env["AUGUSTUS_CONFIG"]), "scripts")):
        env["AUGUSTUS_BASE"] = os.path.join(
            os.path.dirname(env["AUGUSTUS_CONFIG"]), "scripts"
        )


augustus_species = {
    "pea_aphid": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hemiptera",
        "family": "Aphididae",
        "genus": "Acyrthosiphon",
        "species": "Acyrthosiphon pisum",
    },
    "aedes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Culicidae",
        "genus": "Aedes",
        "species": "Aedes aegypti",
    },
    "amphimedon": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Porifera",
        "class": "Demospongiae",
        "order": "Haplosclerida",
        "family": "Niphatidae",
        "genus": "Amphimedon",
        "species": "Amphimedon queenslandica",
    },
    "ancylostoma_ceylanicum": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
        "order": "Strongylida",
        "family": "Ancylostomatidae",
        "genus": "Ancylostoma",
        "species": "Ancylostoma ceylanicum",
    },
    "adorsata": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Apidae",
        "genus": "Apis",
        "species": "Apis dorsata",
    },
    "honeybee1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Apidae",
        "genus": "Apis",
        "species": "Apis mellifera",
    },
    "arabidopsis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Brassicales",
        "family": "Brassicaceae",
        "genus": "Arabidopsis",
        "species": "Arabidopsis thaliana",
    },
    "aspergillus_fumigatus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
        "species": "Aspergillus fumigatus",
    },
    "aspergillus_nidulans": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
        "species": "Aspergillus nidulans",
    },
    "anidulans": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
        "species": "Aspergillus nidulans",
    },
    "aspergillus_oryzae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
        "species": "Aspergillus oryzae",
    },
    "aspergillus_terreus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
        "species": "Aspergillus terreus",
    },
    "bombus_impatiens1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Apidae",
        "genus": "Bombus",
        "species": "Bombus impatiens",
    },
    "bombus_terrestris2": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Apidae",
        "genus": "Bombus",
        "species": "Bombus terrestris",
    },
    "botrytis_cinerea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Leotiomycetes",
        "order": "Helotiales",
        "family": "Sclerotiniaceae",
        "genus": "Botrytis",
        "species": "Botrytis cinerea",
    },
    "brugia": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
        "order": "Rhabditida",
        "family": "Onchocercidae",
        "genus": "Brugia",
        "species": "Brugia malayi",
    },
    "caenorhabditis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
        "order": "Rhabditida",
        "family": "Rhabditidae",
        "genus": "Caenorhabditis",
        "species": "Caenorhabditis elegans",
    },
    "c_elegans_trsk": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
        "order": "Rhabditida",
        "family": "Rhabditidae",
        "genus": "Caenorhabditis",
        "species": "Caenorhabditis elegans",
    },
    "elegans": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
        "order": "Rhabditida",
        "family": "Rhabditidae",
        "genus": "Caenorhabditis",
        "species": "Caenorhabditis elegans",
    },
    "elephant_shark": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Chondrichthyes",
        "order": "Chimaeriformes",
        "family": "Callorhinchidae",
        "genus": "Callorhinchus",
        "species": "Callorhinchus milii",
    },
    "camponotus_floridanus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Formicidae",
        "genus": "Camponotus",
        "species": "Camponotus floridanus",
    },
    "candida_albicans": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Debaryomycetaceae",
        "genus": "Candida",
        "species": "Candida albicans",
    },
    "candida_guilliermondii": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Debaryomycetaceae",
        "genus": "Candida",
    },
    "candida_tropicalis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Debaryomycetaceae",
        "genus": "Candida",
        "species": "Candida tropicalis",
    },
    "chaetomium_globosum": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Sordariales",
        "family": "Chaetomiaceae",
        "genus": "Chaetomium",
        "species": "Chaetomium globosum",
    },
    "chiloscyllium": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Chondrichthyes",
        "order": "Orectolobiformes",
        "family": "Hemiscylliidae",
        "genus": "Chiloscyllium",
        "species": "Chiloscyllium punctatum",
    },
    "chlamy2011": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Chlorophyceae",
        "order": "Chlamydomonadales",
        "family": "Chlamydomonadaceae",
        "genus": "Chlamydomonas",
        "species": "Chlamydomonas reinhardtii",
    },
    "chlamydomonas": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Chlorophyceae",
        "order": "Chlamydomonadales",
        "family": "Chlamydomonadaceae",
        "genus": "Chlamydomonas",
        "species": "Chlamydomonas reinhardtii",
    },
    "chlorella": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Trebouxiophyceae",
        "order": "Chlorellales",
        "family": "Chlorellaceae",
        "genus": "Chlorella",
        "species": "Chlorella sp.",
    },
    "ciona": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Ascidiacea",
        "order": "Phlebobranchia",
        "family": "Cionidae",
        "genus": "Ciona",
        "species": "Ciona intestinalis",
    },
    "coccidioides_immitis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Onygenales",
        "family": "Onygenaceae",
        "genus": "Coccidioides",
        "species": "Coccidioides immitis",
    },
    "Conidiobolus_coronatus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Zoopagomycota",
        "class": "Entomophthoromycetes",
        "order": "Entomophthorales",
        "family": "Ancylistaceae",
        "genus": "Conidiobolus",
        "species": "Conidiobolus coronatus",
    },
    "coprinus_cinereus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Agaricales",
        "family": "Agaricaceae",
        "genus": "Coprinus",
    },
    "coprinus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Agaricales",
        "family": "Agaricaceae",
        "genus": "Coprinus",
    },
    "cryptococcus_neoformans_gattii": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Tremellomycetes",
        "order": "Tremellales",
        "family": "Cryptococcaceae",
        "genus": "Cryptococcus",
        "species": "Cryptococcus neoformans",
    },
    "cryptococcus_neoformans_neoformans_B": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Tremellomycetes",
        "order": "Tremellales",
        "family": "Cryptococcaceae",
        "genus": "Cryptococcus",
        "species": "Cryptococcus neoformans",
    },
    "cryptococcus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Tremellomycetes",
        "order": "Tremellales",
        "family": "Cryptococcaceae",
        "genus": "Cryptococcus",
        "species": "Cryptococcus neoformans",
    },
    "culex": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Culicidae",
        "genus": "Culex",
        "species": "Culex pipiens",
    },
    "zebrafish": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Actinopteri",
        "order": "Cypriniformes",
        "family": "Danionidae",
        "genus": "Danio",
        "species": "Danio rerio",
    },
    "debaryomyces_hansenii": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Debaryomycetaceae",
        "genus": "Debaryomyces",
        "species": "Debaryomyces hansenii",
    },
    "fly": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Drosophilidae",
        "genus": "Drosophila",
        "species": "Drosophila melanogaster",
    },
    "fly_exp": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Drosophilidae",
        "genus": "Drosophila",
        "species": "Drosophila melanogaster",
    },
    "encephalitozoon_cuniculi_GB": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Microsporidia",
        "family": "Unikaryonidae",
        "genus": "Encephalitozoon",
        "species": "Encephalitozoon cuniculi",
    },
    "eremothecium_gossypii": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
        "genus": "Eremothecium",
        "species": "Eremothecium gossypii",
    },
    "fusarium_graminearum": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Nectriaceae",
        "genus": "Fusarium",
        "species": "Fusarium graminearum",
    },
    "fusarium": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Nectriaceae",
        "genus": "Fusarium",
        "species": "Fusarium graminearum",
    },
    "galdieria": {
        "superkingdom": "Eukaryota",
        "phylum": "Rhodophyta",
        "class": "Bangiophyceae",
        "order": "Cyanidiales",
        "family": "Cyanidiaceae",
        "genus": "Galdieria",
        "species": "Galdieria sulphuraria",
    },
    "chicken": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Aves",
        "order": "Galliformes",
        "family": "Phasianidae",
        "genus": "Gallus",
        "species": "Gallus gallus",
    },
    "heliconius_melpomene1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Lepidoptera",
        "family": "Nymphalidae",
        "genus": "Heliconius",
        "species": "Heliconius melpomene",
    },
    "histoplasma_capsulatum": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Onygenales",
        "family": "Ajellomycetaceae",
        "genus": "Histoplasma",
        "species": "Histoplasma capsulatum",
    },
    "histoplasma": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Onygenales",
        "family": "Ajellomycetaceae",
        "genus": "Histoplasma",
        "species": "Histoplasma capsulatum",
    },
    "human": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Primates",
        "family": "Hominidae",
        "genus": "Homo",
        "species": "Homo sapiens",
    },
    "kluyveromyces_lactis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
        "genus": "Kluyveromyces",
        "species": "Kluyveromyces lactis",
    },
    "laccaria_bicolor": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Agaricales",
        "family": "Hydnangiaceae",
        "genus": "Laccaria",
        "species": "Laccaria bicolor",
    },
    "leishmania_tarentolae": {
        "superkingdom": "Eukaryota",
        "phylum": "Euglenozoa",
        "class": "Kinetoplastea",
        "order": "Trypanosomatida",
        "family": "Trypanosomatidae",
        "genus": "Leishmania",
        "species": "Leishmania tarentolae",
    },
    "japaneselamprey": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Hyperoartia",
        "order": "Petromyzontiformes",
        "family": "Petromyzontidae",
        "genus": "Lethenteron",
        "species": "Lethenteron camtschaticum",
    },
    "lodderomyces_elongisporus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Debaryomycetaceae",
        "genus": "Lodderomyces",
        "species": "Lodderomyces elongisporus",
    },
    "magnaporthe_grisea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Magnaporthales",
        "family": "Magnaporthaceae",
        "genus": "Magnaporthe",
    },
    "mnemiopsis_leidyi": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Ctenophora",
        "class": "Tentaculata",
        "order": "Lobata",
        "family": "Bolinopsidae",
        "genus": "Mnemiopsis",
        "species": "Mnemiopsis leidyi",
    },
    "nasonia": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Pteromalidae",
        "genus": "Nasonia",
        "species": "Nasonia vitripennis",
    },
    "nematostella_vectensis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Cnidaria",
        "class": "Anthozoa",
        "order": "Actiniaria",
        "family": "Edwardsiidae",
        "genus": "Nematostella",
        "species": "Nematostella vectensis",
    },
    "neurospora_crassa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Sordariales",
        "family": "Sordariaceae",
        "genus": "Neurospora",
        "species": "Neurospora crassa",
    },
    "neurospora": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Sordariales",
        "family": "Sordariaceae",
        "genus": "Neurospora",
        "species": "Neurospora crassa",
    },
    "coyote_tobacco": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Solanales",
        "family": "Solanaceae",
        "genus": "Nicotiana",
        "species": "Nicotiana attenuata",
    },
    "rice": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Poales",
        "family": "Poaceae",
        "genus": "Oryza",
        "species": "Oryza sativa",
    },
    "parasteatoda": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Arachnida",
        "order": "Araneae",
        "family": "Theridiidae",
        "genus": "Parasteatoda",
    },
    "sealamprey": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Hyperoartia",
        "order": "Petromyzontiformes",
        "family": "Petromyzontidae",
        "genus": "Petromyzon",
        "species": "Petromyzon marinus",
    },
    "phanerochaete_chrysosporium": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Polyporales",
        "family": "Phanerochaetaceae",
        "genus": "Phanerochaete",
    },
    "pchrysosporium": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Polyporales",
        "family": "Phanerochaetaceae",
        "genus": "Phanerochaete",
    },
    "pichia_stipitis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Pichiaceae",
        "genus": "Pichia",
    },
    "pisaster": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Echinodermata",
        "class": "Asteroidea",
        "order": "Forcipulatida",
        "family": "Asteriidae",
        "genus": "Pisaster",
        "species": "Pisaster ochraceus",
    },
    "pfalciparum": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Aconoidasida",
        "order": "Haemosporida",
        "family": "Plasmodiidae",
        "genus": "Plasmodium",
        "species": "Plasmodium falciparum",
    },
    "pneumocystis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Pneumocystidomycetes",
        "order": "Pneumocystidales",
        "family": "Pneumocystidaceae",
        "genus": "Pneumocystis",
        "species": "Pneumocystis jirovecii",
    },
    "rhincodon": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Chondrichthyes",
        "order": "Orectolobiformes",
        "family": "Rhincodontidae",
        "genus": "Rhincodon",
        "species": "Rhincodon typus",
    },
    "rhizopus_oryzae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Mucoromycota",
        "class": "Mucoromycetes",
        "order": "Mucorales",
        "family": "Rhizopodaceae",
        "genus": "Rhizopus",
    },
    "rhodnius": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hemiptera",
        "family": "Reduviidae",
        "genus": "Rhodnius",
        "species": "Rhodnius prolixus",
    },
    "saccharomyces_cerevisiae_rm11-1a_1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
        "genus": "Saccharomyces",
        "species": "Saccharomyces cerevisiae",
    },
    "saccharomyces_cerevisiae_S288C": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
        "genus": "Saccharomyces",
        "species": "Saccharomyces cerevisiae",
    },
    "saccharomyces": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
        "genus": "Saccharomyces",
        "species": "Saccharomyces cerevisiae",
    },
    "schistosoma": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Platyhelminthes",
        "class": "Trematoda",
        "order": "Strigeidida",
        "family": "Schistosomatidae",
        "genus": "Schistosoma",
        "species": "Schistosoma mansoni",
    },
    "schistosoma2": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Platyhelminthes",
        "class": "Trematoda",
        "order": "Strigeidida",
        "family": "Schistosomatidae",
        "genus": "Schistosoma",
        "species": "Schistosoma mansoni",
    },
    "schizosaccharomyces_pombe": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Schizosaccharomycetes",
        "order": "Schizosaccharomycetales",
        "family": "Schizosaccharomycetaceae",
        "genus": "Schizosaccharomyces",
        "species": "Schizosaccharomyces pombe",
    },
    "scyliorhinus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Chondrichthyes",
        "order": "Carcharhiniformes",
        "family": "Scyliorhinidae",
        "genus": "Scyliorhinus",
        "species": "Scyliorhinus torazame",
    },
    "tomato": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Solanales",
        "family": "Solanaceae",
        "genus": "Solanum",
        "species": "Solanum lycopersicum",
    },
    "strongylocentrotus_purpuratus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Echinodermata",
        "class": "Echinoidea",
        "order": "Camarodonta",
        "family": "Strongylocentrotidae",
        "genus": "Strongylocentrotus",
        "species": "Strongylocentrotus purpuratus",
    },
    "tetrahymena": {
        "superkingdom": "Eukaryota",
        "phylum": "Ciliophora",
        "class": "Oligohymenophorea",
        "order": "Hymenostomatida",
        "family": "Tetrahymenidae",
        "genus": "Tetrahymena",
        "species": "Tetrahymena thermophila",
    },
    "cacao": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Malvales",
        "family": "Malvaceae",
        "genus": "Theobroma",
        "species": "Theobroma cacao",
    },
    "toxoplasma": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Conoidasida",
        "order": "Eucoccidiorida",
        "family": "Sarcocystidae",
        "genus": "Toxoplasma",
        "species": "Toxoplasma gondii",
    },
    "tribolium2012": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Coleoptera",
        "family": "Tenebrionidae",
        "genus": "Tribolium",
        "species": "Tribolium castaneum",
    },
    "trichinella": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Enoplea",
        "order": "Trichinellida",
        "family": "Trichinellidae",
        "genus": "Trichinella",
    },
    "wheat": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Poales",
        "family": "Poaceae",
        "genus": "Triticum",
        "species": "Triticum sp.",
    },
    "ustilago_maydis": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Ustilaginomycetes",
        "order": "Ustilaginales",
        "family": "Ustilaginaceae",
        "genus": "Ustilago",
        "species": "Ustilago maydis",
    },
    "ustilago": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Ustilaginomycetes",
        "order": "Ustilaginales",
        "family": "Ustilaginaceae",
        "genus": "Ustilago",
        "species": "Ustilago maydis",
    },
    "verticillium_albo_atrum1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Glomerellales",
        "family": "Plectosphaerellaceae",
        "genus": "Verticillium",
    },
    "verticillium_longisporum1": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Glomerellales",
        "family": "Plectosphaerellaceae",
        "genus": "Verticillium",
        "species": "Verticillium longisporum",
    },
    "volvox": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Chlorophyceae",
        "order": "Chlamydomonadales",
        "family": "Volvocaceae",
        "genus": "Volvox",
        "species": "Volvox sp.",
    },
    "Xiphophorus_maculatus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Actinopteri",
        "order": "Cyprinodontiformes",
        "family": "Poeciliidae",
        "genus": "Xiphophorus",
        "species": "Xiphophorus maculatus",
    },
    "yarrowia_lipolytica": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Dipodascaceae",
        "genus": "Yarrowia",
        "species": "Yarrowia lipolytica",
    },
    "maize": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Poales",
        "family": "Poaceae",
        "genus": "Zea",
        "species": "Zea mays",
    },
    "maize5": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Poales",
        "family": "Poaceae",
        "genus": "Zea",
        "species": "Zea mays",
    },
}

busco_taxonomy = {
    "aconoidasida": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Aconoidasida",
    },
    "actinopterygii": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
    },
    "agaricales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Agaricales",
    },
    "agaricomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
    },
    "alveolata": {
        "superkingdom": "Eukaryota",
        "kingdom": "Chromista",
    },
    "apicomplexa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Chromista",
        "phylum": "Apicomplexa",
    },
    "arachnida": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Arachnida",
    },
    "arthropoda": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
    },
    "ascomycota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
    },
    "aves": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Aves",
    },
    "basidiomycota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
    },
    "boletales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Boletales",
    },
    "brassicales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Brassicales",
    },
    "capnodiales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Dothideomycetes",
        "order": "Capnodiales",
    },
    "carnivora": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Carnivora",
    },
    "artiodactyla": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Artiodactyla",
    },
    "chaetothyriales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Chaetothyriales",
    },
    "chlorophyta": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
    },
    "coccidia": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Conoidasida",
    },
    "cyprinodontiformes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Actinopteri",
        "order": "Cyprinodontiformes",
    },
    "diptera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
    },
    "dothideomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Dothideomycetes",
    },
    "embryophyta": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
    },
    "endopterygota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
    },
    "euarchontoglires": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
    },
    "eudicotyledons": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
    },
    "euglenozoa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Protista",
        "phylum": "Euglenozoa",
    },
    "eukaryota": {
        "superkingdom": "Eukaryota",
    },
    "eurotiales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
    },
    "eurotiomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
    },
    "eutheria": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
    },
    "fabales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Fabales",
    },
    "fungi": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
    },
    "glires": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
    },
    "glomerellales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Glomerellales",
    },
    "helotiales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Leotiomycetes",
        "order": "Helotiales",
    },
    "hemiptera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hemiptera",
    },
    "hymenoptera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
    },
    "hypocreales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
    },
    "insecta": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
    },
    "laurasiatheria": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
    },
    "leotiomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Leotiomycetes",
    },
    "lepidoptera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Lepidoptera",
    },
    "liliopsida": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
    },
    "mammalia": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
    },
    "metazoa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
    },
    "microsporidia": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Microsporidia",
    },
    "mollusca": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Mollusca",
    },
    "mucorales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Mucoromycota",
        "class": "Mucoromycetes",
        "order": "Mucorales",
    },
    "mucoromycota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Mucoromycota",
    },
    "nematoda": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
    },
    "onygenales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Onygenales",
    },
    "passeriformes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Aves",
        "order": "Passeriformes",
    },
    "plasmodium": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Aconoidasida",
        "order": "Haemosporida",
        "family": "Plasmodiidae",
        "genus": "Plasmodium",
    },
    "pleosporales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Dothideomycetes",
        "order": "Pleosporales",
    },
    "poales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Poales",
    },
    "polyporales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Polyporales",
    },
    "primates": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Primates",
    },
    "saccharomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
    },
    "sauropsida": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
    },
    "solanales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Solanales",
    },
    "sordariomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
    },
    "stramenopiles": {
        "superkingdom": "Eukaryota",
        "kingdom": "Stramenopiles",
    },
    "tetrapoda": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
    },
    "tremellomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Tremellomycetes",
    },
    "vertebrata": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
    },
    "viridiplantae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
    },
    "amoebozoa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Amoebozoa",
    },
    "bacillariophyta": {
        "superkingdom": "Eukaryota",
        "kingdom": "Stramenopiles",
        "phylum": "Bacillariophyta",
    },
    "chytridiomycota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Chytridiomycota",
    },
    "ciliophora": {
        "superkingdom": "Eukaryota",
        "kingdom": "Chromista",
        "phylum": "Ciliophora",
    },
    "cnidaria": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Cnidaria",
    },
    "crustacea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "subphylum": "Crustacea",
    },
    "oomycota": {
        "superkingdom": "Eukaryota",
        "kingdom": "Stramenopiles",
        "phylum": "Oomycota",
    },
    "rhodophyta": {
        "superkingdom": "Eukaryota",
        "kingdom": "Rhodophyta",
        "phylum": "Rhodophyta",
    },
    "acari": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Arachnida",
    },
    "aculeata": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
    },
    "ajellomycetaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Onygenales",
        "family": "Ajellomycetaceae",
    },
    "anopheles": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Culicidae",
        "genus": "Anopheles",
    },
    "anthozoa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Cnidaria",
        "class": "Anthozoa",
    },
    "apoidea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
    },
    "araneae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Arachnida",
        "order": "Araneae",
    },
    "aspergillus": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Aspergillus",
    },
    "brachycera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
    },
    "chlorophyceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Chlorophyceae",
    },
    "chromadorea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Nematoda",
        "class": "Chromadorea",
    },
    "clavicipitaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Clavicipitaceae",
    },
    "coleoptera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Coleoptera",
    },
    "cordycipitaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Cordycipitaceae",
    },
    "cryptosporidium": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Conoidasida",
        "order": "Eucoccidiorida",
        "family": "Cryptosporidiidae",
        "genus": "Cryptosporidium",
    },
    "culicidae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Culicidae",
    },
    "debaryomycetaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Pichiomycetes",
        "order": "Serinales",
        "family": "Debaryomycetaceae",
    },
    "drosophila": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Drosophilidae",
        "genus": "Drosophila",
    },
    "drosophilidae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
        "family": "Drosophilidae",
    },
    "formicidae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Hymenoptera",
        "family": "Formicidae",
    },
    "galloanserae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Aves",
    },
    "hexapoda": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
    },
    "hypocreaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Hypocreaceae",
    },
    "lamiales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Lamiales",
    },
    "leishmaniinae": {
        "superkingdom": "Eukaryota",
        "phylum": "Euglenozoa",
        "class": "Kinetoplastea",
        "order": "Trypanosomatida",
        "family": "Trypanosomatidae",
    },
    "lophotrochozoa": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
    },
    "malpighiales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Malpighiales",
    },
    "microbotryomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Microbotryomycetes",
    },
    "mycosphaerellaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Dothideomycetes",
        "order": "Mycosphaerellales",
        "family": "Mycosphaerellaceae",
    },
    "nectriaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Nectriaceae",
    },
    "nematocera": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Diptera",
    },
    "ophiocordycipitaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Hypocreales",
        "family": "Ophiocordycipitaceae",
    },
    "papilionoidea": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Lepidoptera",
    },
    "penicillium": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Eurotiomycetes",
        "order": "Eurotiales",
        "family": "Aspergillaceae",
        "genus": "Penicillium",
    },
    "phytophthora": {
        "superkingdom": "Eukaryota",
        "phylum": "Oomycota",
        "order": "Peronosporales",
        "family": "Peronosporaceae",
        "genus": "Phytophthora",
    },
    "pichiaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Pichiomycetes",
        "order": "Pichiales",
        "family": "Pichiaceae",
    },
    "piroplasmida": {
        "superkingdom": "Eukaryota",
        "phylum": "Apicomplexa",
        "class": "Aconoidasida",
        "order": "Piroplasmida",
    },
    "pleosporaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Dothideomycetes",
        "order": "Pleosporales",
        "family": "Pleosporaceae",
    },
    "polyphaga": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Arthropoda",
        "class": "Insecta",
        "order": "Blattodea",
        "family": "Corydiidae",
        "genus": "Polyphaga",
    },
    "polyporaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Agaricomycetes",
        "order": "Polyporales",
        "family": "Polyporaceae",
    },
    "pseudeurotiaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Leotiomycetes",
        "order": "Thelebolales",
        "family": "Pseudeurotiaceae",
    },
    "pucciniomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Pucciniomycetes",
    },
    "rodentia": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Rodentia",
    },
    "rosaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Rosales",
        "family": "Rosaceae",
    },
    "rosales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
        "order": "Rosales",
    },
    "saccharomycetaceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Saccharomycetes",
        "order": "Saccharomycetales",
        "family": "Saccharomycetaceae",
    },
    "saprolegniaceae": {
        "superkingdom": "Eukaryota",
        "phylum": "Oomycota",
        "order": "Saprolegniales",
        "family": "Saprolegniaceae",
    },
    "sordariales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Sordariales",
    },
    "squamata": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Lepidosauria",
        "order": "Squamata",
    },
    "trebouxiophyceae": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Chlorophyta",
        "class": "Trebouxiophyceae",
    },
    "trypanosoma": {
        "superkingdom": "Eukaryota",
        "phylum": "Euglenozoa",
        "class": "Kinetoplastea",
        "order": "Trypanosomatida",
        "family": "Trypanosomatidae",
        "genus": "Trypanosoma",
    },
    "ustilaginomycetes": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Basidiomycota",
        "class": "Ustilaginomycetes",
    },
    "xylariales": {
        "superkingdom": "Eukaryota",
        "kingdom": "Fungi",
        "phylum": "Ascomycota",
        "class": "Sordariomycetes",
        "order": "Xylariales",
    },
    "cetartiodactyla": {
        "superkingdom": "Eukaryota",
        "kingdom": "Metazoa",
        "phylum": "Chordata",
        "class": "Mammalia",
        "order": "Cetartiodactyla",
    },
    "eudicots": {
        "superkingdom": "Eukaryota",
        "kingdom": "Viridiplantae",
        "phylum": "Streptophyta",
        "class": "Magnoliopsida",
    },
}
